Форум проекта PuppyRus Linux

Дистрибутивы проекта PuppyRus Linux => Архив проекта PuppyRus => LupuRus, Ivanna => Тема начата: boris000 от 17 Сентябрь 2011, 13:59:36

Название: Не запускается LibO_3.4.0_Linux_x86.520.sfs в LupuRus510
Отправлено: boris000 от 17 Сентябрь 2011, 13:59:36
всем привет
Не запускается LibO_3.4.0_Linux_x86.520.sfs  в LupuRus510;
пакет подключается,в меню Офис появляются значки и названия
всех программ, но включается и начинает работать только
последний пункт "Управление принтером". В то же время этот
же пакет работает в Puppy431_RU-m4.
Где копать,чтоб исправить?
Название: Re:Не запускается LibO_3.4.0_Linux_x86.520.sfs в LupuRus510
Отправлено: Герда от 17 Сентябрь 2011, 14:05:53
   Попробуйте выполнить в терминале и посмотреть на жалобы.
Название: Re:Не запускается LibO_3.4.0_Linux_x86.520.sfs в LupuRus510
Отправлено: boris000 от 22 Сентябрь 2011, 14:47:05
  Попробуйте выполнить в терминале и посмотреть на жалобы.


Спасибо,Герда
запуск в терминале LibreOffice3.4
на запуск в терминале значка на экране:
/opt/libreoffice3.4/program/soffice.bin: /usr/lib/libdb-4.7.so: version 'DB_4_7'
 not found (required by /opt/libreoffice3.4/program/../basis-link/program/libdep
loymentmiscli.so)

в puppy431-m4 есть  libdb-4.4.so  748K (765816 байт)
исполняемый файл
в LupuRus 510 есть  libdb-4.7.so  1355K (1386564 байт)
неисполняемый файл, делаем исполняемым...
не помогает, точно тоже сообщение
копируем в LupuRus 510 libdb-4.4.so  ... и правим символические ссылки
 на с 4.7 на 4.4 - не помогает
 возвращаем все назад ...
 
 Но пока вопрос закрывается - не помню откуда скачал
 
   go-oo-3.2_RU-sfs4.sfs - Офисный пакет, то же что и LibO_3.4.0_Linux_x86_520.sfs (практически
  один к одному) подключается, запускается, работает  быстрее чем LibO_3.4.0,
  нормально отключается, работает и в LupuRus 510  и  в  Puppy431_RU-m4.
  Отличаются эти пакеты тем, что LibO_3.4.0 все свои программы вставляет
  в меню Офис, а go-oo-3.2_RU-sfs4  разбрасывает их по четырем пунктам меню -
  Графика, Офис, Вычисления, Личные

 поработал немного с  go-oo-3.2_RU-sfs4.sfs:

  - Writer не сохраняет документы в формате .doc, Calc - в формате .xls,
    так что для офисных работ остается LibO_3.4.0 в  Puppy431_RU-m4.
Название: Re:Не запускается LibO_3.4.0_Linux_x86.520.sfs в LupuRus510
Отправлено: bicyclist56 от 22 Сентябрь 2011, 14:56:41
разбрасывает их по четырем пунктам меню
Если не нравится, легко редактируется всё в /usr/share/applications. Назначьте другие категории, по аналогии с имеющимися.
Ой, речь ведь о SFS...